> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt.

# Assign a ruleset

POST https://api.postman.com/rulesets/{rulesetId}/assignments
Content-Type: application/json

Assigns a ruleset to a governance group.

Reference: https://learning.postman.com/api-docs/api-reference/api-governance/create-ruleset-assignment

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Servers

- `https://api.postman.com` (https://api.postman.com, default)
- `https://api.eu.postman.com` (https://api.eu.postman.com)

## Request

### Path parameters

- `rulesetId` (string, required) — The ruleset's ID.

### Body (application/json)

This endpoint expects a rulesetAssignmentCreate.

- `targetType` (enum, required) — The assignment target type.
  - Allowed values: `governance_group`
- `targetId` (string, required) — The target governance group's ID.

## Response

### 201

Ruleset Assignment Created

- `rulesetId` (string, required) — The assigned ruleset's ID.
- `targetType` (enum, required) — The assignment target type.
  - Allowed values: `governance_group`
- `targetId` (string, required) — The target governance group's ID.

## Errors

### 400 Bad Request Error

Bad Request

- `CreateRulesetAssignmentRequestBadRequestError`

### 401 Unauthorized Error

Unauthorized

- `CreateRulesetAssignmentRequestUnauthorizedError`

### 403 Forbidden Error

Forbidden

- `CreateRulesetAssignmentRequestForbiddenError`

### 404 Not Found Error

Not Found

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### 409 Conflict Error

Conflict

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### 500 Internal Server Error

Internal Server Error

- `CreateRulesetAssignmentRequestInternalServerError`

## Types

### commonErrorTypeTitleDetail

- `type` (string, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (CommonErrorTypeTitleDetailDetail, optional) — Information about the error.

### commonErrorTypeTitleDetailStatus

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### commonErrorNameMessageDetails

- `error` (CommonErrorNameMessageDetailsError, optional) — Information about the error.

### commonErrorNameMessage

- `error` (CommonErrorNameMessageError, optional) — Information about the error.

### CommonErrorTypeTitleDetailStatusType

The type of error.

### CommonErrorTypeTitleDetailDetail

Information about the error.

### CommonErrorNameMessageDetailsError

Information about the error.

- `name` (string, optional) — The error name.
- `message` (string, optional) — The error message.
- `details` (CommonErrorNameMessageDetailsErrorDetails, optional) — Information about the error.

### CommonErrorNameMessageError

Information about the error.

- `name` (string, optional) — The error name.
- `message` (string, optional) — The error message.

### CommonErrorNameMessageDetailsErrorDetails

Information about the error.

## Examples

### Ruleset Assignment Created

**Request**

```json
undefined
```

**Response**

```json
{
  "rulesetId": "01JABCDEF0123456789ABCDEFG",
  "targetType": "governance_group",
  "targetId": "01JWSGROUP0123456789ABCDEF"
}
```

**SDK Code**

```python Ruleset Assignment Created
import requests

url = "https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments"

headers = {"x-api-key": "<apiKey>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Ruleset Assignment Created
const url = 'https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments';
const options = {method: 'POST', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Ruleset Assignment Created
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Ruleset Assignment Created
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Ruleset Assignment Created
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Ruleset Assignment Created
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Ruleset Assignment Created
using RestSharp;

var client = new RestClient("https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Ruleset Assignment Created
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Assign Ruleset

**Request**

```json
{
  "targetType": "governance_group",
  "targetId": "01JWSGROUP0123456789ABCDEF"
}
```

**Response**

```json
{
  "rulesetId": "01JABCDEF0123456789ABCDEFG",
  "targetType": "governance_group",
  "targetId": "01JWSGROUP0123456789ABCDEF"
}
```

**SDK Code**

```python Assign Ruleset
import requests

url = "https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments"

payload = {
    "targetType": "governance_group",
    "targetId": "01JWSGROUP0123456789ABCDEF"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Assign Ruleset
const url = 'https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"targetType":"governance_group","targetId":"01JWSGROUP0123456789ABCDEF"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Assign Ruleset
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments"

	payload := strings.NewReader("{\n  \"targetType\": \"governance_group\",\n  \"targetId\": \"01JWSGROUP0123456789ABCDEF\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Assign Ruleset
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"targetType\": \"governance_group\",\n  \"targetId\": \"01JWSGROUP0123456789ABCDEF\"\n}"

response = http.request(request)
puts response.read_body
```

```java Assign Ruleset
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"targetType\": \"governance_group\",\n  \"targetId\": \"01JWSGROUP0123456789ABCDEF\"\n}")
  .asString();
```

```php Assign Ruleset
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments', [
  'body' => '{
  "targetType": "governance_group",
  "targetId": "01JWSGROUP0123456789ABCDEF"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Assign Ruleset
using RestSharp;

var client = new RestClient("https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"targetType\": \"governance_group\",\n  \"targetId\": \"01JWSGROUP0123456789ABCDEF\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Assign Ruleset
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "targetType": "governance_group",
  "targetId": "01JWSGROUP0123456789ABCDEF"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/rulesets/01JABCDEF0123456789ABCDEFG/assignments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```